Subject: cl-asemble Ð¾Ð±Ñ€Ñ‹Ð²Ð°ÐµÑ‚Ñ•Ñ• Ð½Ð° Ñ•Ñ‚Ð°Ð¿Ðµ "Ð’Ñ‹Ð¿Ð¾Ð»Ð½ÐµÐ½Ð¸Ðµ Ð¿Ñ€Ð¾Ð²ÐµÑ€ÐºÐ¸ Ð¿ÐµÑ€ÐµÐ´ Ñ•Ð±Ð¾Ñ€ÐºÐ¾Ð¹"

Description: ÐŸÑ€Ð¸Ð²ÐµÑ‚ Ð²Ñ•ÐµÐ¼.

Ñ…Ð¾Ñ‡Ñƒ Ñ•Ð¾Ð±Ñ€Ð°Ñ‚ÑŒ Ñ•Ð²Ð¾Ð¹ livecd Ð½Ð° /dev/sda2 (Ð¿Ð¾Ñ€Ñ•Ð´ÐºÐ° 11G)



Ð¸Ð¼ÐµÑŽ:

<pre>

# ls -lA /var/calculate/remote/{stages,snapshots}

/var/calculate/remote/snapshots:

Ð¸Ñ‚Ð¾Ð³Ð¾ 38177

-rw-r--r-- 1 root root 39044432 Ð¯Ð½Ð² 23 03:45 portage-20110122.tar.bz2

-rw-r--r-- 1 root root       59 Ð¯Ð½Ð² 23 03:52 portage-20110122.tar.bz2.md5sum

-rw-r--r-- 1 root root       55 Ð¯Ð½Ð² 23 03:52 portage-20110122.tar.bz2.umd5sum



/var/calculate/remote/stages:

Ð¸Ñ‚Ð¾Ð³Ð¾ 144517

-rw-r--r-- 1 root root 147837539 Ð¯Ð½Ð² 23 02:15 stage3-i686-20110118.tar.bz2

-rw-r--r-- 1 root root   3457063 Ð¯Ð½Ð² 18 21:54 stage3-i686-20110118.tar.bz2.CONTENTS

-rw-r--r-- 1 root root       332 Ð¯Ð½Ð² 18 21:54 stage3-i686-20110118.tar.bz2.DIGESTS

-rw-r--r-- 1 root root      1215 Ð¯Ð½Ð² 19 03:27 stage3-i686-20110118.tar.bz2.DIGESTS.asc

# eix -c 'calculate-(install|lib|templates|assemble)'

[I] app-misc/calculate-install-gui [1] (2.2.8@22.01.2011): GUI frontend for the program of installation 

Calculate Linux

[I] sys-apps/calculate-assemble [1] (2.2.8@22.01.2011): The utilities for assembling tasks of Calculate Linux

[I] sys-apps/calculate-install [1] (2.2.8-r1@22.01.2011): The program of installation Calculate Linux

[I] sys-apps/calculate-lib [1] (2.2.8-r1(2.2)@22.01.2011): The library for Calculate 2

[I] sys-apps/calculate-templates [1] (2.2.8@22.01.2011): Templates for calculate utilities 2.2

[1] "calculate" /var/lib/layman/calculate

</pre>

Ð´ÐµÐ»Ð°ÑŽ:

<pre>

/ # cl-assemble -p calculate/desktop/CLDG/x86 --march i686 -d /dev/sda2 --source stage

 * ÐŸÐ¾Ð´Ð³Ð¾Ñ‚Ð¾Ð²ÐºÐ° Ð´Ð»Ñ• Ñ•Ð±Ð¾Ñ€ÐºÐ¸ Calculate Linux

Ð¡Ð¸Ñ•Ñ‚ÐµÐ¼Ð½Ð°Ñ• Ð¸Ð½Ñ„Ð¾Ñ€Ð¼Ð°Ñ†Ð¸Ñ•

 * ÐŸÑ€Ð¾Ñ„Ð¸Ð»ÑŒ Ñ•Ð¸Ñ•Ñ‚ÐµÐ¼Ñ‹: calculate/desktop/CLDG/x86

 * Ð¡Ð¾Ð±Ð¸Ñ€Ð°ÐµÐ¼Ð°Ñ• Ñ•Ð¸Ñ•Ñ‚ÐµÐ¼Ð°: Calculate Linux Desktop GNOME

 * Ð¢Ð¸Ð¿ Ð¾Ð±Ð¾Ñ€ÑƒÐ´Ð¾Ð²Ð°Ð½Ð¸Ñ• Ð¼Ð°ÑˆÐ¸Ð½Ñ‹: i686

 * Ð Ð°Ð·Ð´ÐµÐ» Ð´Ð»Ñ• Ñ•Ð±Ð¾Ñ€ÐºÐ¸: /dev/sda2

 * Ð¤Ð°Ð¹Ð»Ð¾Ð²Ð°Ñ• Ñ•Ð¸Ñ•Ñ‚ÐµÐ¼Ð°: reiserfs

 * Ð‘Ð°Ð·Ð¾Ð²Ñ‹Ð¹ Ð¾Ð±Ñ€Ð°Ð· Ð´Ð»Ñ• Ñ•Ð±Ð¾Ñ€ÐºÐ¸: 

/var/calculate/remote/stages/stage3-i686-20110118.tar.bz2

 * Ð’ÐµÑ€Ñ•Ð¸Ñ• Ð¿Ð¾Ñ€Ñ‚ÐµÐ¶ÐµÐ¹ Ð´Ð»Ñ• Ñ•Ð±Ð¾Ñ€ÐºÐ¸: 

/var/calculate/remote/snapshots/portage-20110122.tar.bz2

Ð’Ñ‹Ð¿Ð¾Ð»Ð½ÐµÐ½Ð¸Ðµ Ð¿Ñ€Ð¾Ð²ÐµÑ€ÐºÐ¸ Ð¿ÐµÑ€ÐµÐ´ Ñ•Ð±Ð¾Ñ€ÐºÐ¾Ð¹



/ # echo $?

1

</pre>
Ð§Ñ‚Ð¾ Ñ• Ð´ÐµÐ»Ð°ÑŽ Ð½Ðµ Ñ‚Ð°Ðº?

Ð“Ð´Ðµ/ÐºÐ°Ðº Ð¿Ð¾Ñ•Ð¼Ð¾Ñ‚Ñ€ÐµÑ‚ÑŒ Ð´ÐµÑ‚Ð°Ð»ÑŒÐ½Ñ‹Ðµ Ð»Ð¾Ð³Ð¸??

Ð”Ð»Ñ• Ð»ÑƒÑ‡ÑˆÐµÐ¹ Ð´Ð¸Ð°Ð³Ð½Ð¾Ñ•Ñ‚Ð¸ÐºÐ¸, Ð²Ñ‹Ð²Ð¾Ð´ ÐºÐ¾Ð¼Ð°Ð½Ð´Ñ‹ *cl-assemble -p 

calculate/desktop/CLDG/x86 --march i686 -d /dev/sda2 --source stage -vv* Ð¿Ñ€Ð¸ÐºÑ€ÐµÐ¿Ð¸Ð»

PS

Ð¯ Ð¿Ñ€Ð°Ð²Ð¸Ð»ÑŒÐ½Ð¾ Ð¿Ð¾Ð½Ð¸Ð¼Ð°ÑŽ, Ñ‚Ð°ÐºÐ¸Ðµ Ñ„Ð°Ð¹Ð»Ñ‹ ÐºÐ°Ðº 

_/etc/{make.conf,locale.gen,timezone,portage/{package.use,sets}/*} /var/lib/portage/world_sets_ 

Ð´Ð¾Ð±Ð°Ð²Ð»Ñ•Ñ‚ÑŒ Ð² "Ð¿ÐµÑ•Ð¾Ñ‡Ð½Ð¸Ñ†Ñƒ" Ð½ÑƒÐ¶Ð½Ð¾ Ð½Ð° Ñ•Ñ‚Ð°Ð¿Ðµ 

*Ð¿Ð¾Ñ•Ð»Ðµ cl-assemble Ð¸ Ð´Ð¾ cl-make -D*?

History

02/01/2011 06:00 pm - Mikhail Hiretsky

- Status changed from New to Closed

Ð˜Ñ•Ð¿Ñ€Ð°Ð²Ð»ÐµÐ½Ð¾ Ð² =sys-apps/calculate-assemble-2.2.8-r1.

Files

assemble-vv.env.txt 7.4 KB 01/24/2011 ÐœÐ¸Ñ…Ð°Ð¸Ð» Ð“Ð°Ð³Ð°ÑƒÐ·
